Subject: Re: bug#29822: tramp send "exec plink -l" to cmd in windows

From: Michael Albinus <[email-masked]>
Date: Mon, 25 Dec 2017 12:29:18 +0100

Shuguang Sun <[email-masked]> writes:

> Hi,

Hi Shuguang,

> When I use 2017.12.09 version git emacs. Tramp works correctly: it
> promotes to ask me the passwork.
> When I use 2017.12.17 version (or after) git emacs, Tramp can't ask me
> password and hangs at waiting for feedback from remote. 
>
> I look into the trace and debug buffer, and found that it send command
> "exec plink -l". However, "exec" is not an internal nor external
> command in CMD in windows, and then stopped.

Thanks for the bug report. Should be fixed now in the master
branch. Could you, pls, check?

> Best Regards,
> Shuguang

Best regards, Michael.